Subject: RE: [Ltru] [psg.com #944] MAY a conformant implementation imposelengthconstraints?

From: "Addison Phillips" <[email-masked]>
Date: Tue, 10 May 2005 21:24:58 -0700

MUST NOT would certainly be better IMO. 

Addison

Addison P. Phillips
Globalization Architect, Quest Software
Chair, W3C Internationalization Core Working Group

Internationalization is not a feature.
It is an architecture. 

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of Randy Presuhn
> Sent: 2005?5?10? 21:06
> To: LTRU Working Group
> Subject: Re: [Ltru] [psg.com #944] MAY a conformant implementation
> imposelengthconstraints?
> 
> Hi -
> 
> (as a technical contributor)
> 
> > From: "Addison Phillips" <[email-masked]>
> > To: "Randy Presuhn" <[email-masked]>; "LTRU Working Group"
> <[email-masked]>
> > Sent: Tuesday, May 10, 2005 9:04 AM
> > Subject: RE: [Ltru] [psg.com #944] MAY a conformant implementation
> impose lengthconstraints?
> >
> 
> > <q>
> > A conformant implementation MAY refuse to support the storage of
> language
> > tags which exceed a specified length. For an example, see [RFC 2231]
> (Freed,
> > N. and K. Moore, "MIME Parameter Value and Encoded Word Extensions:
> > Character Sets, Languages, and Continuations," November 1997.)[22]. Any
> > such limitation MUST be clearly documented, and such documentation
> > SHOULD include the disposition of any longer tags (for example, whether
> > an error value is generated or the language tag is truncated). If
> truncation
> > is permitted it SHOULD NOT permit a subtag to be divided.
> > </q>
> ...
> 
> Thinking like an implementor, I'd find this of little help.  I don't see
> how permitting truncation and permitting subtag division could possibly
> help interoperability.
> 
> I'd be more comfortable with "If truncation is permitted, it MUST NOT
> permit a
> subtag to be divided."
> 
> Randy
> 
> 
> 
> 
> _______________________________________________
> Ltru mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ltru

_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru